Skip to content

List assignable ticket roles

GET
/roles
curl --request GET \
--url https://example.com/api/roles \
--header 'Authorization: Bearer <token>'

Returns role options for the Create Ticket dialog (value + label). Frontend can fall back to defaults if endpoint unavailable.

List of roles

Media type application/json
object
roles
required
Array<object>
object
value
required
string
label
required
string

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean